package mysqlquerybuilder

import "fmt"

func BuildFilterQuery(filter map[string]interface{}) (string, []any) {
	var (
		filterQuery string
		args        = []any{}
	)

	for key, value := range filter {
		filterQuery += fmt.Sprintf("AND %s = ? ", key)
		args = append(args, value)
	}

	return filterQuery, args
}
